# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Happytimer alarms every hour"
HOMEPAGE="http://happytimer.kldp.net/"
SRC_URI="http://kldp.net/frs/download.php/4402/${P}.tar.gz"

LICENSE="BPL"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="voice"

DEPEND="=gnome-base/libgnomeui-2*
		=media-libs/gstreamer-0.10*
		voice? ( x11-themes/happytimer-voice-pack )"
RDEPEND="${DEPEND}"

RESTRICT="mirror"

src_install() {
	emake install PREFIX="${D}/usr"
}
