# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="cubrid client library"
HOMEPAGE="http://www.cubrid.co.kr"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 amd64"
DEPEND=""
RDEPEND=""
IUSE=""

src_compile() {
	if [ "${ARCH}" = "amd64" ] ; then
		cp ${FILESDIR}/libcascci.so.8.1.4-64 libcascci.so.8.1.4
	else
		cp ${FILESDIR}/libcascci.so.8.1.4-32 libcascci.so.8.1.4
	fi
}

src_install() {
	if [ "${ARCH}" = "amd64" ] ; then
		MYINSDIR=/usr/lib64
	else
		MYINSDIR=/usr/lib
	fi
	dolib.so libcascci.so.8.1.4
	dosym $MYINSDIR/libcascci.so.8.1.4 $MYINSDIR/libcascci.so.8
	dosym $MYINSDIR/libcascci.so.8.1.4 $MYINSDIR/libcascci.so

	insinto /usr/include/cubrid/include
	insopts -m644
	doins ${FILESDIR}/*.h
}
