# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header #

inherit font

DESCRIPTION="Naver Hangul truetype fonts"
HOMEPAGE="http://hangeul.naver.com/"

LICENSE="NHN"

SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc-macos ~s390 ~sparc ~x86 ~x86-fbsd"
IUSE="+nanumgothic +nanummyeongjo"

FONT_SUFFIX="ttf"

# Only installs fonts
RESTRICT="strip binchecks nomirror"

src_unpack() {
	if use nanumgothic ; then
		tar xjf ${FILESDIR}/NanumGothic.tbz2
	fi
	if use nanummyeongjo ; then
		tar xjf ${FILESDIR}/NanumMyeongjo.tbz2
	fi
}

