# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header #

inherit font

DESCRIPTION="Naver Hangul truetype fonts"
HOMEPAGE="http://hangeul.naver.com/"
SRC_URI="http://static.campaign.naver.com/0/hangeul/renew/download/NanumFont_TTF.zip"

LICENSE="NHN"

SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc-macos ~s390 ~sparc ~x86 ~x86-fbsd"

FONT_SUFFIX="ttf"

# Only installs fonts
RESTRICT="strip binchecks nomirror"

src_unpack() {
	WORK=${DISTDIR}/../work
	unzip -O CP949 ${DISTDIR}/${A} -d ${WORK}
	cd ${WORK}
	rename 나눔 Nanum *.ttf
	rename 고딕 Gothic *.ttf
	rename 명조 Myeongjo *.ttf
}

