# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils gnome2

DESCRIPTION="fast and easy graphics application for digital painters"
HOMEPAGE="http://mypaint.intilinux.com/"
SRC_URI="http://download.gna.org/${PN}/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

RDEPEND=">=dev-python/pygtk-2.10
	>=dev-python/numpy-1.2.0
	>=dev-lang/python-2.5"
DEPEND="${RDEPEND}
	>=dev-util/scons-1.0"

src_unpack() {
	unpack ${A}
	cd "${S}"
}

src_compile() {
	scons || die "scons failed"
}

src_install () {
	scons prefix="${D}/usr" install || die "scons install failed"
	insinto /usr/share/pixmaps/
	doins desktop/mypaint_48.png
}

