# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/unzip/fbreader-0.8.7b.ebuild,v 1.0
# 2008/05/29 01:30:00 crosser Exp $

inherit eutils

DESCRIPTION="e-book reader"
HOMEPAGE="http://www.fbreader.org/"
SRC_URI="http://www.fbreader.org/obsolete/${PN}-sources-${PV}.tgz"

LICENSE="GPL"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

DEPEND="app-i18n/enca
	dev-libs/expat
	app-arch/bzip2"

src_unpack() {
	unpack ${A}
	cd ${S}
}

src_compile() {
	emake -f ./Makefile
}

src_install() {
	einstall DESTDIR=${S}
	dodir ./usr
	insinto /usr
	doins -r usr/share
	dobin ./usr/bin/FBReader
	dolib ./usr/lib/*.so.${PV}
	dodir ./usr/lib/zlibrary/ui/
	insinto /usr/lib/zlibrary/ui/
	doins 755 usr/lib/zlibrary/ui/*.so
	dosym libzlcore.so.${PV} /usr/lib/libzlcore.so
	dosym libzltext.so.${PV} /usr/lib/libzltext.so
}
