# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

MY_D="/opt/duit"

DESCRIPTION="a D binding and OO wrapper of Gtk+"
HOMEPAGE="http://www.ratedo.com/ddev/duit.php"
SRC_URI="http://www.ratedo.com/ddev/files/${P}-lin.zip"

LICENSE="DMD"
RESTRICT="nomirror"
SLOT="${PV}"
KEYWORDS="-*"
IUSE=""

S="${WORKDIR}/${PM}"

RDEPEND="virtual/libc
	sys-devel/gcc
	amd64? ( app-emulation/emul-linux-x86-compat )
	x86? ( sys-libs/libstdc++-v3 )"

DEPEND="${RDEPEND}
	dev-lang/dmd"

src_unpack() {
	unpack ${A}

	cd ${S}/duit
#	chmod +x *.sh

#	mkdir ${WORKDIR}/bin
#	cp compd ${WORKDIR}/bin
#	chmod +x ${WORKDIR}/bin/compd

	# copy makefile
	cp ${FILESDIR}/Makefile ${WORKDIR}/${PN}
}

src_compile() {
	cd ${S}/duit
	emake || die "make failed"
}

src_install() {
	cd ${S}/duit
	dodir ${MY_D}
	cp  -pRf ${WORKDIR}/${PN}/* ${D}${MY_D}
#	dodir /usr/lib32
#	dosym ${MY_D}/libduit.a /usr/lib32
	dodir /usr/lib/pkgconfig
	cp ${FILESDIR}/duit-1.pc ${D}/usr/lib/pkgconfig
}
