# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

NEED_KDE="4.1"
inherit kde4-base

DESCRIPTION="Semantik - a mindmapping-like tool"
HOMEPAGE="http://freehackers.org/~tnagy/kdissert.html"
SRC_URI="http://freehackers.org/~tnagy/${P}.tar.bz2"

LICENSE="QPL"
SLOT="4.1"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="dev-lang/ocaml
		>=dev-lang/python-2.3"
RDEPEND="${DEPEND}"


src_compile() {
	./waf --prefix="/usr/" configure || die "waf configure failed."
	./waf build || die "waf build failed."
}

src_install() {
	DESTDIR=${D} ./waf install || die "waf install failed."
}
