# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header #

inherit font

DESCRIPTION="Naver Hangul truetype fonts"
HOMEPAGE="http://hangeul.naver.com/"

SRC_URI="http://dev.naver.com/frs/download.php/441/NanumGothicCoding-2.0.zip"

LICENSE="OFL"

SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc-macos ~s390 ~sparc ~x86 ~x86-fbsd"

RDEPEND=">=app-arch/unzip-5.52-r2"

FONT_SUFFIX="ttf"
# Only installs fonts
RESTRICT="strip binchecks nomirror"

src_unpack() {
	WORK=${DISTDIR}/../work
	unzip -O CP949 ${DISTDIR}/${A} -d ${WORK}
	cd ${WORK}
	rename 나눔고딕코딩 NanumGothicCoding *.ttf

	FONT_CONF=( "${FILESDIR}/20-fix-globaladvance-nanumgothiccoding.conf" )
}

src_install() {
	font_src_install
	dosym /etc/fonts/conf.avail/20-fix-globaladvance-nanumgothiccoding.conf \
	/etc/fonts/conf.d/
}
