# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header #

inherit font

DESCRIPTION="Lexitech Hangul truetype fonts"
HOMEPAGE="http://www.lexitech.co.kr/"

MY_R=5058
MY_P=LexiGulim${PV}
SRC_URI="http://kldp.net/frs/download.php/${MY_R}/${MY_P}.ttf"

LICENSE="GPL"

SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc-macos ~s390 ~sparc ~x86 ~x86-fbsd"

FONT_SUFFIX="ttf"

# Only installs fonts
RESTRICT="strip binchecks nomirror"

src_unpack() {
	cp ${DISTDIR}/${MY_P}.ttf ${WORKDIR}/LexiGulim.ttf
}
